from math import sqrt

def premier(n):
    n = int( sqrt(n) ) # partie entière de la racine carrée
    for k in range(2,n+1):
        if diviseur(k,n) == True:
            return False
    
    return True # si aucun diviseur n'a été trouvé